Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.tracking.clickthrough
Interface EventMappingLoader

public interface EventMappingLoader

Interface that defines the contract for the loading mechanism.

Method Summary
`String` | `getAttributeValue(String attributeKey)` Returns the value of an attribute key.
`String` | `getEventClassName(String eventType)` Returns event class name given the event type.
`String` | `getValidatorClassName(String eventType)` Returns validator class name given the event type.
`void` | `reload()` Forces reload of the mapping information.

Method Detail

### getEventClassName

    public String getEventClassName(String eventType)
                             throws MissingResourceException

  Returns event class name given the event type.

  Parameters:
    `eventType` - The type of event.
  Returns:
    String The class name that matches the event name.
  Throws:
    `MissingResourceException` - To signal problems while reading.

### getValidatorClassName

    public String getValidatorClassName(String eventType)
                                 throws MissingResourceException

  Returns validator class name given the event type.

  Parameters:
    `eventType` - The type of event.
  Returns:
    String The validator class name that matches the event name.
  Throws:
    `MissingResourceException` - To signal problems while reading.

### getAttributeValue

    public String getAttributeValue(String attributeKey)
                             throws MissingResourceException

  Returns the value of an attribute key.

  Parameters:
    `attributeKey` - The key of an attribute in a mapping.
  Returns:
    String The value of an attribute in a mapping.
  Throws:
    `MissingResourceException` - To signal problems in reading.

### reload

    public void reload()
                throws MissingResourceException

  Forces reload of the mapping information.

  Throws:
    `MissingResourceException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved